create Table Pilote(
    id_pilote smallint primary key,
    nom varchar(20),
    adresse varchar(30)
); 

create Table Vol(
    id_vol varchar(10) primary key,
    ville_depart varchar(20),
    ville_arrivee varchar(20),
    heure_depart time,
    heure_arrivee time
);		 

create table Modele(
    type varchar(20) primary key,
    constructeur varchar(30) not null,
    capacite smallint check(capacite>0)
);

create table Avion(
    id_avion smallint primary key,
    type varchar(20) references Modele,
    compagnie varchar(30)
);

create Table Effectue(
    id_pilote smallint,
    id_vol varchar(10),
    id_avion smallint,
    date_vol Date,
    foreign key (id_pilote) references Pilote,
    foreign key (id_vol) references Vol,
    foreign key (id_avion) references Avion,
    primary key (id_pilote,id_vol,date_vol)
);

